Skip to main content
DELETE
/
organization
/
{organizationId}
/
cluster
/
{clusterId}
Delete a cluster
curl --request DELETE \
  --url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId} \
  --header 'Authorization: Bearer <token>'

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

clusterId
string<uuid>
required

Cluster ID

Query Parameters

deleteMode
enum<string>
default:DEFAULT

Indicates the mode to apply on cluster deletion
"hard delete" means that we delete directly from our database, this is different from a "trigger delete" that cleans the resource

  • DEFAULT: this is the normal way, trigger delete the cluster only if no environment linked to this cluster remains
  • DELETE_CLUSTER_AND_QOVERY_CONFIG: hard delete environments linked to this cluster then trigger delete the cluster
  • DELETE_QOVERY_CONFIG: ⚠️ ⚠️ ⚠️ hard delete environments linked to this cluster then hard delete the cluster - whole cluster ressources are not deleted on our side and must be deleted on your side
Available options:
DEFAULT,
DELETE_CLUSTER_AND_QOVERY_CONFIG,
DELETE_QOVERY_CONFIG
Example:

"DEFAULT"

Response

The resource was deleted successfully